apiVersion: apps/v1
kind: Deployment
metadata:
  namespace: forwot
  annotations: {}
  labels:
    io.thingenious.service: forwot-backend
  name: forwot-backend
spec:
  selector:
    matchLabels:
      io.thingenious.service: forwot-backend
  template:
    metadata:
      annotations: {}
      labels:
        io.thingenious.service: forwot-backend
    spec:
      containers:
        - env:
            - name: APP_ENV
              value: production
            - name: DB_HOST
              value: forwot-db
            - name: DB_NAME
              value: ai4eu-db
            - name: DB_PASSWORD
              value: "12345678"
            - name: DB_PORT
              value: "49154"
            - name: DB_USER
              value: postgres
            - name: GRPC_PORT
              value: "8061"
            - name: REST_PORT
              value: "6080"
            - name: REST_HOST
              value: http://localhost
            - name: TORCHSERVE_HOST
              value: http://forwot-torchserve
            - name: TORCHSERVE_PORT
              value: "8080"
            - name: DEFAULT_BATCH_SIZE
              value: "64"
            - name: DEFAULT_COSINE_THRESHOLD
              value: "0.45"
            - name: DEFAULT_TRANSFORMER_THRESHOLD
              value: "0.3"
            - name: DEFAULT_CONVERT_TERM_THRESHOLD
              value: "0.95"
            - name: EMBEDDINGS_DIR
              value: /home/runner/embeddings
          image: thingenious/forwot-backend:v0.0.5
          livenessProbe:
            exec:
              command:
                - wget
                - -q
                - --spider
                - --proxy=off
                - localhost:6080/health
            failureThreshold: 10
            periodSeconds: 60
            timeoutSeconds: 10
          name: forwot-backend
          ports:
            - containerPort: 6080
            - containerPort: 8062
          # kubectl autoscale deployment -n forwot forwot-backend --cpu-percent=20 --min=1 --max=4
          resources:
            limits:
              cpu: 510m
              memory: 2048Mi
            requests:
              cpu: 200m
              memory: 1024Mi

      restartPolicy: Always
